<?php

use Faker\Generator as Faker;


$factory->define(App\EmployeeTest::class, function (Faker $faker) {
   
    $fname = '';
    $gender = '';
    $lname = $faker->lastName;
    $x = rand(1, 2);

    switch( $x ) {
        case 1:
                $fname = $faker->firstNameFemale;
                $gender = 'female';
                break;
        case 2:
                $fname = $faker->firstNameMale;
                $gender = 'male';
                break;
    }
    return [
        'FirstName'=> $fname,
        'LastName'=> $lname,        
        'Email' => $faker->unique()->safeEmail,
        'Gender' => $gender,
        'DateofJoining'=> $faker->date(),
        'YearsofExperience'=> $faker->randomNumber(2),      
        'remember_token' => str_random(10),         
    ];
});
